Bug 209981

Summary: audio/quimup: Update to 1.4.1, take MAINTAINER'ship
Product: Ports & Packages Reporter: Chris <cmangin>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: easy, patch, patch-ready
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to audio/quimup
none
Poudriere testport log
none
Updated patch
none
Missed parts of patch none

Description Chris 2016-06-02 19:40:37 UTC
Created attachment 170959 [details]
Patch to audio/quimup

- Update to version 1.4.1
- Fix port to allow a connection to a local musicpd server. 
- Use musicpd instead of mpd in the configuration.
- s/Qt4/Qt5/ in description.
Comment 1 Chris 2016-06-02 19:41:21 UTC
Created attachment 170960 [details]
Poudriere testport log
Comment 2 Dmitry Marakasov freebsd_committer 2016-06-03 17:15:08 UTC
Would you by the chance like to become maintainer of this port?
Comment 3 Chris 2016-06-03 20:07:34 UTC
(In reply to Dmitry Marakasov from comment #2)

Yes, I would like that!
Comment 4 VK freebsd_triage 2016-06-05 11:21:36 UTC
Thanks guys. Dmitry, will you set the MAINTAINER section or do you require Chris to send an updated patch?
Comment 5 Chris 2016-06-05 12:07:31 UTC
Created attachment 171041 [details]
Updated patch

I've updated the patch with new maintainer.
Comment 6 commit-hook freebsd_committer 2016-06-08 17:15:58 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jun  8 17:15:15 UTC 2016
New revision: 416552
URL: https://svnweb.freebsd.org/changeset/ports/416552

Log:
  - Update to version 1.4.1
  - Fix port to allow a connection to a local musicpd server
  - Use musicpd instead of mpd in the configuration
  - s/Qt4/Qt5/ in description
  - Pass maintainership to submitter

  PR:		209981
  Submitted by:	cmangin@arobas.net

Changes:
  head/audio/quimup/Makefile
  head/audio/quimup/distinfo
  head/audio/quimup/pkg-descr
Comment 7 Chris 2016-06-08 18:04:03 UTC
Created attachment 171210 [details]
Missed parts of patch

Hello,

Some parts of my patch were missed in commit r416552. 
As a result the port doesn't build.

Files to be added:

quimup/files/patch-src__qm-config.cpp
quimup/files/patch-src__qm-mpdcom.cpp

File to be removed:

quimup/files/patch-src_qtlocalpeer.cpp


For convenience I've attached a new patch for the missed parts.
Comment 8 Chris 2016-06-08 18:16:47 UTC
Patch was only partially applied
Comment 9 Dmitry Marakasov freebsd_committer 2016-06-09 11:02:31 UTC
Ooos, sorry, missing patches committed. Not bumping portrevision as the port didn't build.
Comment 10 commit-hook freebsd_committer 2016-06-09 11:02:38 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jun  9 11:01:55 UTC 2016
New revision: 416587
URL: https://svnweb.freebsd.org/changeset/ports/416587

Log:
  - Add patches missing in the previous commit

  PR:		209981
  Submitted by:	cmangin@arobas.net

Changes:
  head/audio/quimup/files/patch-src__qm-config.cpp
  head/audio/quimup/files/patch-src__qm-mpdcom.cpp
  head/audio/quimup/files/patch-src_qtlocalpeer.cpp